<?php
ob_start();
session_start();


require_once('../include/utilitarios.php');
include_once('../empresa/class.empresa.php');
include_once('../class/class.mysql.php');
include_once('pagamento/class.pagamento.php');
include_once('../evento/produto/class.produto.php');
include_once('class.evento.php');
include_once('../evento/contrato/class.contrato.php');
$mysqlCom = new MysqlConnect();
$empresa = new Empresa();
$Pagamento = new Pagamento();
extract($_GET);

$Produto = new ProdutoLista();
$Produto->ListaItensProduto($id_evento);
$id_empresa = $_SESSION["fild_id_empresa"];

if ($id_empresa == '') {
    exit;
}


$empresa->SelectEmpresa($id_empresa);

$funcionario = $_SESSION['fild_vfoto_nome'];

$valor = $Pagamento->ValorTotalRecebido($id_evento);
$ValorNaoQuitado = $Pagamento->ValorTotalNQ($id_evento);

$Evento = new Evento();
$Evento->Select($id_evento);
while ($row = mysqli_fetch_object($Evento->qry)) {
    $data_evento = InverterData($row->data_evento);
    $hora_evento = $row->hora;
    $web_site = $row->website;
    $tipo_evento = $row->tipo_evento;
    $valor_servico = $row->valor;
}

if ($data_evento == '') {
    exit;
}


$Contrato = new Contrato();

$Contrato->ContratoSelect($id_evento);
while ($row = mysqli_fetch_object($Contrato->qry)) {
    $nome = $row->nome;
    $cpf_cnpj = $row->cpf_cnpj;
    $identidade = $row->identidade;
    $cep = $row->cep;
    $endereco = $row->endereco;
    $bairro = $row->bairro;
    $cidade = $row->cidade;
    $tel_residencial = $row->tel_residencial;
    $tel_comercial = $row->tel_comercial;
    $tel_celular = $row->tel_celular;
}


$Evento->SelectLocal($id_evento);
while ($row = mysqli_fetch_object($Evento->qry)) {
    $LocalEvento = '<strong>' . $row->nome . '</strong> Endereco ' . $row->endereco . ' Bairro ' . $row->bairro;
}

$Evento->SelectFesta($id_evento);
while ($row = mysqli_fetch_object($Evento->qry)) {
    $LocalFesta = '<strong>' . $row->nome . '</strong> Endereco ' . $row->endereco . ' Bairro ' . $row->bairro;
    /* $NomeLocalFesta = $row->nome;
      $EndLocalFesta = $row->endereco;
      $BairoLocalFesta = $row->$row->bairro; */
}

//Gera Produto
$i = 1;
while ($rowP = mysqli_fetch_object($Produto->qry)) {
    $ItensProduto = $ItensProduto . $i . ' - ' . $rowP->desc_produto . '<br>';
    $i++;
}

// Valor Extenso
$ValorExenso = extenso($valor_servico);
//$ValorExenso = ereg_replace(" E ", " e ", ucwords($ValorExenso));


//Valor Não Quitados
$DadosValorNaoQuitato = '<div class="tablete" style="border:1px solid #CCC;">' .
    'Valor(es) não quitados' .
    '<table width="630" border="0">' .
    '<tr class="dados">' .
    '<td><strong>Tipo Pagamento</strong></td>' .
    '<td><strong>Data Vencimento</strong></td>' .
    '<td><strong>Valor</strong></td>' .
    '</tr>';
$Pagamento->SelectNaoQuitados($id_evento);
$ControValorNaoQuitado = 0;

while ($rowN = mysqli_fetch_object($Pagamento->qry)) {
    $DadosValorNaoQuitato = $DadosValorNaoQuitato .
        '<tr class="dados">' .
        '<td width="200">' . $rowN->descricao . '</td>' .
        '<td width="200">' . InverterData($rowN->data) . '</td>' .
        '<td width="120"><div align="right">' . FormatoValor($rowN->valor) . '</div></td>' .
        '</tr>';
    $ControValorNaoQuitado++;
}


$DadosValorNaoQuitato = $DadosValorNaoQuitato . '</table></div><br>';


//Valor Quitado
$DadosValorQuitado = '<div class="tablete" style="border:1px solid #CCC;">' .
    'Valor(es) Recebido(s)' .
    '<table width="630" border="0">' .
    '<tr class="dados">' .
    '<td width="120"><strong>Tipo Pagamento</strong></td>' .
    '<td width="49"><strong>Banco</strong></td>' .
    '<td width="63"><strong>Agência</strong></td>' .
    '<td width="85"><strong>Conta</strong></td>' .
    '<td width="75"><strong>Nº Cheque</strong></td>' .
    '<td width="123"><strong>Data Vencimento</strong></td>' .
    '<td width="115"><div align="right"><strong>Valor</strong></div></td>' .
    '</tr>';


$Pagamento->SelectQuitado($id_evento);
$ControValorQuitado = 0;
while ($row = mysqli_fetch_object($Pagamento->qry)) {
    $DadosValorQuitado = $DadosValorQuitado .
        '<tr class="dados">' .
        '<td width="120">' . $row->descricao . '</td>' .
        '<td width="49">' . $row->banco . '</td>' .
        '<td width="63">' . $row->agencia . '</td>' .
        '<td width="85">' . $row->conta . '</td>' .
        '<td width="75">' . $row->num_cheque . '</td>' .
        '<td width="123">' . InverterData($row->data_vencimento) . '</td>' .
        '<td><div align="right">' . FormatoValor($row->valor) . '</div></td>' .
        '</tr>';
    $ControValorQuitado++;
}

$DadosValorQuitado = $DadosValorQuitado . '</table></div>';




//header('Content-Type: text/html; charset=utf-8');
// leitura das datas
$dia = date('d');
$mes = date('m');
$mes_numero = date('m');
$ano = date('Y');
$semana = date('w');


// configuraçao mes

switch ($mes) {

    case 1:
        $mes = "Janeiro";
        break;
    case 2:
        $mes = "Fevereiro";
        break;
    case 3:
        $mes = "Março";
        break;
    case 4:
        $mes = "Abril";
        break;
    case 5:
        $mes = "Maio";
        break;
    case 6:
        $mes = "Junho";
        break;
    case 7:
        $mes = "Julho";
        break;
    case 8:
        $mes = "Agosto";
        break;
    case 9:
        $mes = "Setembro";
        break;
    case 10:
        $mes = "Outubro";
        break;
    case 11:
        $mes = "Novembro";
        break;
    case 12:
        $mes = "Dezembro";
        break;
}


// configuraçao semana

switch ($semana) {

    case 0:
        $semana = "Domingo";
        break;
    case 1:
        $semana = "Segunda Feira";
        break;
    case 2:
        $semana = "Terça-Feira";
        break;
    case 3:
        $semana = "Quarta-Feira";
        break;
    case 4:
        $semana = "Quinta-Feira";
        break;
    case 5:
        $semana = "Sexta-Feira";
        break;
    case 6:
        $semana = "Sábado";
        break;
}
//header('Content-Type: text/html; charset=iso-8859-1');
if (($tipo == '1') || ($tipo == '2') || ($tipo == '3') || ($tipo == '4') ||
    ($tipo == '5') || ($tipo == '6') || ($tipo == '7') || ($tipo == '8') ||
    ($tipo == '9') || ($tipo == '11')
) {
    if (file_exists('contrato/print_contrato/' . $id_empresa . '_1.php'))
        $NomeContrato = $id_empresa . '_1.php';
    else
        $NomeContrato = 'contrato_padrao.php';
}

if (($tipo == '12')) {
    if (file_exists('contrato/print_contrato/' . $id_empresa . '_2.php'))
        $NomeContrato = $id_empresa . '_2.php';
    else
        $NomeContrato = 'contrato_padrao.php';
}

if (($tipo == '13')) {
    if (file_exists('contrato/print_contrato/' . $id_empresa . '_3.php'))
        $NomeContrato = $id_empresa . '_3.php';
    else
        $NomeContrato = 'contrato_padrao.php';
}
?>

<!DOCTYPE HTML>
<html>

<head>
    <meta charset="utf-8">
    <title><?php echo $empresa->NomeFantazia . ' ' . $empresa->slogan . ' ' . 'Contrado ' . $empresa->site . ' Fone ' . $empresa->telefone ?></title>

    <script type="text/javascript" src="../ui/js/jquery-1.9.1.js"></script>
    <script>
        CarregarContrato();



        function CarregarContrato() {
            $.ajax({
                type: "POST",
                url: "contrato/print_contrato/<?php echo $NomeContrato ?>",
                // data: 'ax=AlterarWebSite&id_evento='+id_evento+'&novoWebSite='+novoWebSite+'&velhoWebSite='+velhoWebSite, 
                beforeSend: function() {
                    $("#pnDadosContrato").html('<img src="img/load_curto.gif"/>').fadeIn('slow');
                },
                success: function(R) {
                    var WebSite = '<?php echo ($web_site); ?>';
                    var ControValorNaoQuitado = '<?php echo $ControValorNaoQuitado; ?>';
                    var ControValorQuitado = '<?php echo $ControValorQuitado; ?>';

                    //Dados Cliente
                    R = R.replace('{NOME}', '<?php echo $nome; ?>');
                    R = R.replace('{IDENTIDADE}', '<?php echo $identidade; ?>');
                    R = R.replace('{CPF}', '<?php echo $cpf_cnpj; ?>');
                    R = R.replace('{ENDERCO_CONTRATANTE}', '<?php echo $endereco; ?>');
                    R = R.replace('{CEP}', '<?php echo $cep; ?>');
                    R = R.replace('{BAIRRO}', '<?php echo $bairro; ?>');
                    R = R.replace('{CIDADE}', '<?php echo $cidade; ?>');

                    //Dados da Empresa
                    R = R.replace('{NOME_FANTAZIA}', '<?php echo $empresa->NomeFantazia; ?>');
                    R = R.replace('{ENDERECO_EMPRESA}', '<?php echo $empresa->endereco; ?>');
                    R = R.replace('{BAIRRO_EMPRESA}', '<?php echo $empresa->bairro; ?>');
                    R = R.replace('{CEP_EMPRESA}', '<?php echo $empresa->cep; ?>');
                    R = R.replace('{CIDADE_EMPRESA}', '<?php echo $empresa->cidade; ?>');
                    R = R.replace('{CNPJ_EMPRESA}', '<?php echo $empresa->cnpj; ?>');

                    //Dados do Evento			
                    R = R.replace('{TIPO_EVENTO}', '<?php echo $tipo_evento; ?>');
                    R = R.replace('{DATA_EVENTO}', '<?php echo $data_evento; ?>');
                    R = R.replace('{HORA_EVENTO}', '<?php echo $hora_evento; ?>');
                    R = R.replace('{LOCAL_EVENTO}', '<?php echo $LocalEvento . ' ' . $LocalFesta; ?>');
                    if (WebSite != '')
                        R = R.replace('{WEB_SITE}', 'WebSite com as fotos do evento. Nome do evento <strong>' +
                            WebSite + '</strong>, as fotos ficaram no' +
                            'ar por 6(seis meses) contando a partir da data do Evento.<br>');
                    else
                        R = R.replace('{WEB_SITE}', '');

                    R = R.replace('{PRODUTO}', "<?php echo $ItensProduto; ?>");
                    R = R.replace('{VALOR_EVENTO}', '<?php echo FormatoValor($valor_servico) ?>');
                    R = R.replace('{VALOR_EXTENSO}', '<?php echo $ValorExenso; ?>');

                    if (ControValorNaoQuitado != '0')
                        R = R.replace('{VALOR_NAO_QUITADO}', '<?php echo $DadosValorNaoQuitato; ?>');
                    else
                        R = R.replace('{VALOR_NAO_QUITADO}', '');

                    if (ControValorQuitado != '0')
                        R = R.replace('{VALOR_QUITADO}', '<?php echo $DadosValorQuitado; ?>');
                    else
                        R = R.replace('{VALOR_QUITADO}', '');

                    $("#pnDadosContrato").html(R);

                },
                error: function(R) {
                    $("#pnDadosContrato").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
                    $("#pnDadosContrato").addClass('ui-state-error ui-corner-all');

                }

            }) //fim ajax	

        }
    </script>


    <style type="text/css">
        .tablete {
            font-size: 12px;
        }

        .tablete tr:nth-child(2n+1) {
            background-color: #EEE;
        }


        #pnFuncionario {
            float: left;
            width: 300px;
            margin-right: 15px;
        }

        #pnCliente {
            float: left;
            width: 300px;
        }

        .pnLimpa {
            clear: both;
        }
    </style>
</head>

<body>
    <div align="center"><?php $empresa->get_LogoGrande('../') ?></div>

    <div id="pnDadosContrato" style="width:635px; margin: 0 auto; font-size:13px"></div>
    <div style="width:635px; margin: 0 auto;">

        Brasília &nbsp;<?php echo ", $dia de $mes de $ano" ?> <br>

        </p>
        <div id="pnFuncionario" align="center">
            <strong>______________________________________<br>
                <?php echo ($funcionario) ?></strong>
        </div>

        <div id="pnCliente" align="center">
            <strong>______________________________________<br>
                <?php echo ($nome) ?></strong>
        </div>

        <div class="pnLimpa"></div>
    </div>

    <div align="center" style="margin-top:30px">
        <?php $empresa->get_LogoPequeno('../') ?><br /><?php echo $empresa->get_RodaPeEmpresa(); ?>
    </div>

</body>

</html>